<!DOCTYPE html>
<html lang="ru">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta http-equiv="X-UA-Compatible" content="ie=edge">
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css">
	<title>Simple chat</title>
	<style>
		body {
			background: #fcfcfc;
		}
	</style>
</head>
<body>
	<div class="container">
		<div class="py-5 text-center">
			<h2>Simple chat</h2>
			<p class="lead">Enter your name and start chatting</p>
		</div>
		<div class="row">
			<div class="col-6">
				<h3>Form</h3>
				<form id="messForm">
					<label for="name">Name</label>
					<input type="text" name="name" id="name" placeholder="Enter name" class="form-control" required>
					<br>
					<label for="message">message</label>
					<textarea name="message" id="message" class="form-control" placeholder="Enter message" required></textarea>
					<br>
					<input type="submit" value="Send" class="btn btn-danger">
				</form>
			</div>
			<div class="col-6">
				<h3>Messages</h3>
				<div id="all_mess"></div>
			</div>
		</div>
	</div>
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
	<script src="/socket.io/socket.io.js"></script>
	<script>
		var min = 1;
		var max = 6;
		var random = Math.floor(Math.random() * (max - min)) + min;

		var alertClass;
		switch (random) {
			case 1:
				alertClass = 'secondary';
				break;
			case 2:
				alertClass = 'danger';
				break;
			case 3:
				alertClass = 'success';
				break;
			case 4:
				alertClass = 'warning';
				break;
			case 5:
				alertClass = 'info';
				break;
			case 6:
				alertClass = 'light';
				break;
		}

		$(function() {
			var socket = io.connect();
			var $form = $("#messForm"); 
			var $name = $("#name"); 
			var $textarea = $("#message"); 
			var $all_messages = $("#all_mess");

			$form.submit(function(event) {
				event.preventDefault()
				socket.emit('send mess', {mess: $textarea.val(), name: $name.val(), className: alertClass});
				$textarea.val('');
			});

			socket.on('add mess', function(data) {
				$all_messages.append("<div class='alert alert-" + data.className + "'><b>" + data.name + "</b>: " + data.mess + "</div>");
			});
		});
	</script>
</body>
</html>